Take Snapshot
Takes an on-demand snapshot of the specified resource.
This operation is asynchronous. It triggers a backup job and returns a job ID, which can be used to track the progress of the backup job. You can follow the progress of the backup job by calling Get Backup Job with the job ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
projectId
ID of the project the resource is in. You can get your project ID from the API Credentials page in your global management console.
id
Eon-assigned ID of the resource to back up.
Request
This endpoint expects an object.
vaultId
Eon-assigned ID of the vault to store the snapshot in.
retentionDays
Number of days to retain the snapshot.
Response
Backup job started.
jobId
Backup job ID.
Errors
429
Too Many Requests Error